#include <stdio.h>
#include <stdlib.h>
#include "operators.h"
#include "io.h"
#include "interpret.h"
#include "colon-compiler.h"
#include "stack.h"
#include "core-compiler.h"

void do_init(void)
{
  FILE * file;
  file = fopen("start.gl","r");
  if (file != 0) io_source = file;

  register_operators();
  register_io();
  register_interpret();
  register_colon();  
  register_core_compiler();

  VVinterpret();
  exit(EXIT_SUCCESS);
}

int main(int argc, char *argv[])
{
  init_stacks(do_init);
  return EXIT_SUCCESS;
}


