#ifndef COLON_COMPILER_H
#define COLON_COMPILER_H

#ifndef C
#define C(X)
#endif

void VVprep_for_compilation(void); C( -- ) 
void VVdo_compilation(void);       C( -- &func_t )

void VVdconst(void);               C( D: u -- )
void VVpconst(void);               C( P: p -- )
void VVcompile_call(void);         C( P: &func_t -- )
void VVrecurse(void);              C( -- )

void VVcolon_noname(void);
void VVsemicolon(void);

/*-------------- register state manipuation --------------*/
void VVload_arg_regs(void);   C( P: &arg_array -- )
void VVunlock_arg_regs(void); C( P: &arg_array -- )
void VVunload_ret_reg(void);  C( P: &arg_array -- )
void VVunlock_random_regs(void); C( P: &arg_array -- )
void VVunlock_normal_regs(void); C( P: &arg_array -- )

void register_colon(void);

#endif /* COLON_COMPILER_H */



