#ifndef COLON_STACK_H
#define COLON_STACK_H

#ifndef C
#define C(X)
#endif

#include "colon-state.h"

struct stack_state;
struct stack_var {
  varbl *this;
  struct stack_state *stack;
  struct stack_var *next;
  sval depth;
  varbl *initial;  /* for push */
  int popped_not_loaded;  /* a flag to allow pops, to load */
};

struct stack_state {
  varbl *this;
  struct stack_data *stack;
  sval adjustment;
  struct stack_var *first;
  struct stack_state *next;
};

typedef struct stack_state stack_state;
typedef struct stack_var stack_var;

void VVget_stack(void);   C( P: &stack_data -- &stack_varbl )  
void VVgrab_stack(void);  C( P: &stack_varbl -- &varbl ) C( depth -- )
void VVstack_pop(void);   C( P: &stack_varbl -- &varbl ) 
void VVstack_push(void);  C( P: &varbl_initial_value &stack_varbl -- &varbl )
void VVflush_stacks(void);  C(  -- )
void VVis_stack_pointer(void);  C( P: &varbl -- ) C( -- flag )

#endif /* COLON_STACK_H */
