#include "spaghetti-stack.h"
#include "stack.h"

/* this file uses GCC extensions to enable a few stack things */
void sync_return_stack(void)
{
  register cell * rsp asm("%esp");
  rstack.place_pushed = rsp - RSTACK_DIR;
  rstack.place_to_pop = rstack.place_pushed;
}

/* don't use this too unstable!! */
static void return_stack_catch_up(void)
{
  register cell *rsp asm("%esp");
  register void *ret;
  ret = (void *)(*rsp);
  rsp = rstack.place_pushed;
  goto *ret;
}

